# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: colin@gibibit.com-20080507185953-vzibaogtp1fzsosw
# target_branch: ../laurent/
# testament_sha1: caf1b4e99a910c2146b63472b6da37f2fa37d765
# timestamp: 2008-05-07 12:13:11 -0700
# base_revision_id: colin@gibibit.com-20080507181429-21mm2aakzkfp57ps
# 
# Begin patch
=== added file '.bzrignore'
--- .bzrignore	1970-01-01 00:00:00 +0000
+++ .bzrignore	2008-05-07 18:59:53 +0000
@@ -0,0 +1,1 @@
+./bin

=== added file 'Makefile'
--- Makefile	1970-01-01 00:00:00 +0000
+++ Makefile	2008-05-07 18:59:53 +0000
@@ -0,0 +1,25 @@
+CXX := g++
+CXXFLAGS := -W -Wall -Wextra -pedantic -ansi -I/home/cdb/bin/sfml/include -DNDEBUG -O2
+LDFLAGS  := -L/home/cdb/bin/sfml/lib
+O := bin
+SRC := .
+
+$(shell mkdir -p $(O))
+
+.PHONY: all clean
+
+PROGRAMS := bench
+SOURCES := main.cpp sprites.cpp sprites-rotating.cpp sprites-alpha.cpp text-static.cpp text-dynamic.cpp
+OBJECTS := $(SOURCES:%.cpp=$(O)/%.o)
+
+all: $(PROGRAMS:%=$(O)/%)
+
+clean:
+	rm -rf bin
+
+$(O)/bench: $(OBJECTS)
+	$(CXX) $(LDFLAGS) $^ -lsfml-graphics -lsfml-window -lsfml-system -lSDL -lSDL_ttf -lSDL_gfx -o $@
+
+$(O)/%.o : $(SRC)/%.cpp
+	$(COMPILE.cpp) -o $@ $<
+

=== modified file 'sprites-alpha.cpp'
--- sprites-alpha.cpp	2008-05-07 18:14:29 +0000
+++ sprites-alpha.cpp	2008-05-07 18:59:53 +0000
@@ -92,7 +92,7 @@
 {
     // Create the main window
     sf::RenderWindow App(sf::VideoMode(800, 600), "SFML_App");
-    App.OptimizeForNonOpenGL(true);
+    App.PreserveOpenGLStates(false);
 
     // Load five images
     sf::Image Images[5];
@@ -108,8 +108,8 @@
     for (int i = 0; i < NbSprites; ++i)
     {
         Sprites[i].SetImage(Images[sf::Randomizer::Random(0, 4)]);
-        Sprites[i].SetLeft(sf::Randomizer::Random(0.f, 700.f));
-        Sprites[i].SetTop(sf::Randomizer::Random(0.f, 500.f));
+        Sprites[i].SetX(sf::Randomizer::Random(0.f, 700.f));
+        Sprites[i].SetY(sf::Randomizer::Random(0.f, 500.f));
         Sprites[i].SetColor(sf::Color(255, 255, 255, 100));
     }
 

=== modified file 'sprites-rotating.cpp'
--- sprites-rotating.cpp	2008-05-07 18:14:29 +0000
+++ sprites-rotating.cpp	2008-05-07 18:59:53 +0000
@@ -4,7 +4,7 @@
 ////////////////////////////////////////////////////////////
 #include <SFML/Graphics.hpp>
 #include <SDL/SDL.h>
-#include <SDL/sdl_rotozoom.h>
+#include <SDL/SDL_rotozoom.h>
 //#include <SDL/sge_rotation.h>
 #include <iostream>
 #include <ctime>
@@ -100,7 +100,7 @@
 {
     // Create the main window
     sf::RenderWindow App(sf::VideoMode(800, 600), "SFML_App");
-    App.OptimizeForNonOpenGL(true);
+    App.PreserveOpenGLStates(false);
 
     // Load five images
     sf::Image Images[5];
@@ -116,9 +116,10 @@
     for (int i = 0; i < NbSprites; ++i)
     {
         Sprites[i].SetImage(Images[sf::Randomizer::Random(0, 4)]);
-        Sprites[i].SetLeft(sf::Randomizer::Random(0.f, 700.f));
-        Sprites[i].SetTop(sf::Randomizer::Random(0.f, 500.f));
-        Sprites[i].SetRotationCenter(Sprites[i].GetWidth() / 2.f, Sprites[i].GetHeight() / 2.f);
+        Sprites[i].SetX(sf::Randomizer::Random(0.f, 700.f));
+        Sprites[i].SetY(sf::Randomizer::Random(0.f, 500.f));
+        //Sprites[i].SetCenter(Sprites[i].GetWidth() / 2.f, Sprites[i].GetHeight() / 2.f);
+        Sprites[i].SetCenter(Sprites[i].GetSize() / 2.f);
     }
 
     // Start the timer

=== modified file 'sprites.cpp'
--- sprites.cpp	2008-05-07 18:14:29 +0000
+++ sprites.cpp	2008-05-07 18:59:53 +0000
@@ -88,7 +88,7 @@
 {
     // Create the main window
     sf::RenderWindow App(sf::VideoMode(800, 600), "SFML_App");
-    App.OptimizeForNonOpenGL(true);
+    App.PreserveOpenGLStates(false);
 
     // Load five images
     sf::Image Images[5];
@@ -104,8 +104,8 @@
     for (int i = 0; i < NbSprites; ++i)
     {
         Sprites[i].SetImage(Images[sf::Randomizer::Random(0, 4)]);
-        Sprites[i].SetLeft(sf::Randomizer::Random(0.f, 700.f));
-        Sprites[i].SetTop(sf::Randomizer::Random(0.f, 500.f));
+        Sprites[i].SetX(sf::Randomizer::Random(0.f, 700.f));
+        Sprites[i].SetY(sf::Randomizer::Random(0.f, 500.f));
     }
 
     // Start the timer

=== modified file 'text-dynamic.cpp'
--- text-dynamic.cpp	2008-05-07 18:14:29 +0000
+++ text-dynamic.cpp	2008-05-07 18:59:53 +0000
@@ -95,11 +95,14 @@
 {
     // Create the main window
     sf::RenderWindow App(sf::VideoMode(800, 600), "SFML_App");
-    App.OptimizeForNonOpenGL(true);
+    App.PreserveOpenGLStates(false);
 
     // Create the string
     const char* String = "AZERTYUIOPQSDFGHJKLMWXCVBNazertyuiopqsdfghjklmwxcvbn0123456789";
-    sf::String Text(String, "cheeseburger.ttf", 30.f);
+	sf::Font font;
+	if (!font.LoadFromFile("cheeseburger.ttf"))
+		return 1;
+    sf::String Text(String, font, 30.f);
     Text.SetColor(sf::Color(0, 128, 128));
 
     // Start the timer
@@ -118,7 +121,7 @@
             Text.SetText(oss.str());
 
             // Draw the string
-            Text.SetTop(i * 30.f);
+            Text.SetY(i * 30.f);
             App.Draw(Text);
         }
 

=== modified file 'text-static.cpp'
--- text-static.cpp	2008-05-07 18:14:29 +0000
+++ text-static.cpp	2008-05-07 18:59:53 +0000
@@ -92,11 +92,14 @@
 {
     // Create the main window
     sf::RenderWindow App(sf::VideoMode(800, 600), "SFML_App");
-    App.OptimizeForNonOpenGL(true);
+    App.PreserveOpenGLStates(false);
 
     // Create the string
     const char* String = "AZERTYUIOPQSDFGHJKLMWXCVBNazertyuiopqsdfghjklmwxcvbn0123456789";
-    sf::String Text(String, "cheeseburger.ttf", 30.f);
+	sf::Font font;
+	if (!font.LoadFromFile("cheeseburger.ttf"))
+		return 1;
+    sf::String Text(String, font, 30.f);
     Text.SetColor(sf::Color(0, 128, 128));
 
     // Start the timer
@@ -109,7 +112,7 @@
         // Draw the text
         for (int i = 0; i < NbLines; ++i)
         {
-            Text.SetTop(i * 30.f);
+            Text.SetY(i * 30.f);
             App.Draw(Text);
         }
 

# Begin bundle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